%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %define tcl_sitelib %{_datadir}/tcl%{tcl_version}}

Name:           iwidgets
Version:        4.0.2
Release:        alt1_9
Summary:        A set of useful widgets based on itcl and itk

Group:          Development/C
License:        MIT
URL:            http://incrtcl.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/incrtcl/iwidgets4.0.1.tar.gz
Patch0:         iwidgets-4.0.2-tkversion.patch
Patch1:         iwidgets4.0.1-wish85.diff

BuildArch:      noarch
Requires: itk
BuildRequires:  tcl
Source44: import.info

%description
A set of useful widgets based on itcl and itk.

%prep
%setup -q -n iwidgets4.0.1
%patch0 -p0
%patch1 -p1

%build
# The configure script and Makefile for this package is horribly broken.
# Installation is simple enough that it's easier to manually install the
# files than try to patch the configure script and Makefile to work.

sed -e "s#@ITCL_VERSION@#3.2#" -e "s#@VERSION@#%{version}#" < iwidgets.tcl.in > iwidgets.tcl
sed -e "s#@VERSION@#%{version}#" < pkgIndex.tcl.in > pkgIndex.tcl

%install
mkdir -p $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}
install -p -m 644 generic/*.* $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}
install -p -m 644 generic/tclIndex $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}
install -p -m 644 iwidgets.tcl $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}
install -p -m 644 pkgIndex.tcl $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}

mkdir -p $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/demos
for i in demos/* ; do
    if [ -f $i ] ; then
        install -p -m 644 $i $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/demos
    fi
done
chmod 755 $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/demos/catalog
# Remove rpmlint warning.
chmod 755 $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/demos/scopedobject

mkdir -p $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/demos/images
install -p -m 644 demos/images/*.* $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/demos/images

# These html pages are part of the demonstration scripts, so they aren't
# packaged with the rest of the documentation.
mkdir -p $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/demos/html
install -p -m 644 demos/html/*.html $RPM_BUILD_ROOT/%{tcl_sitelib}/%{name}%{version}/demos/html

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/mann
install -p -m 644 doc/*.n $RPM_BUILD_ROOT/%{_mandir}/mann/
# This file conflicts with the one from tk-devel
rm $RPM_BUILD_ROOT/%{_mandir}/mann/panedwindow.n
# This file conflicts with the one from tklib
rm $RPM_BUILD_ROOT/%{_mandir}/mann/datefield.n
# /usr/bin/env
sed -i 's,!/bin/env,!/usr/bin/env,' %buildroot%_datadir/tcl*/iwidgets*/demos/catalog


%files
%{tcl_sitelib}/iwidgets%{version}
%{_mandir}/mann/*
%doc README license.terms doc/iwidgets.ps

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 4.0.2-alt1_9
- update to new release by fcimport

* Wed Jan 23 2013 Igor Vlasenko <viy@altlinux.ru> 4.0.2-alt1_8
- initial fc import

